Bug 660656 - Review Request: ghc-data-binary-ieee754 - Haskell parser/serialiser library for IEEE754 floating point values
Review Request: ghc-data-binary-ieee754 - Haskell parser/serialiser library f...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-07 09:12 EST by Narasimhan
Modified: 2012-12-18 03:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-18 03:00:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Narasimhan 2010-12-07 09:12:13 EST
SPEC file URL : https://sites.google.com/site/lakshminaras2002/home/ghc-data-binary-ieee754.spec?attredirects=0&d=1

SRPM URL : https://sites.google.com/site/lakshminaras2002/home/ghc-data-binary-ieee754-0.4.2.1-1.fc14.src.rpm?attredirects=0&d=1

rpmlint output:
pmlint  -i ghc-data-binary-ieee754*.rpm ghc-data-binary-ieee754.spec 
ghc-data-binary-ieee754.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-data-binary-ieee754.i686: W: spelling-error Summary(en_US) serialiser -> serialist, serialism, serialize
The value of this tag appears to be misspelled. Please double-check.

ghc-data-binary-ieee754.src: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-data-binary-ieee754.src: W: spelling-error Summary(en_US) serialiser -> serialist, serialism, serialize
The value of this tag appears to be misspelled. Please double-check.

ghc-data-binary-ieee754-devel.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-data-binary-ieee754-devel.i686: W: spelling-error Summary(en_US) serialiser -> serialist, serialism, serialize
The value of this tag appears to be misspelled. Please double-check.

ghc-data-binary-ieee754-prof.i686: E: devel-dependency ghc-data-binary-ieee754-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-data-binary-ieee754-prof.i686: W: spelling-error Summary(en_US) serialiser -> serialist, serialism, serialize
The value of this tag appears to be misspelled. Please double-check.

ghc-data-binary-ieee754-prof.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-data-binary-ieee754-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.3/data-binary-ieee754-0.4.2.1/libHSdata-binary-ieee754-0.4.2.1_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 1 specfiles checked; 1 errors, 9 warnings.
Comment 1 Jens Petersen 2011-01-28 06:07:32 EST
As earlier discussed on Fedora haskell-devel list,
dropping libraries for now from the toplevel of Haskell-pkg-reviews,
so we, the Haskell SIG, can focus more on getting Haskell apps into Fedora.

To get you library back under the tracker please submit a bin or binlib
package that depends on this library and make this bug block that package
review.  It is a good idea to submit full stacks of packages and then
to add the toplevel program to the tracker.
Comment 2 Narasimhan 2011-04-03 01:50:33 EDT
http://narasim.fedorapeople.org/package_reviews/ghc-data-binary-ieee754-0.4.2.1-1.fc14.src.rpm

http://narasim.fedorapeople.org/package_reviews/ghc-data-binary-ieee754-0.4.2.1-2.fc14.src.rpm

rpmlint  -i ghc-data-binary-ieee754.spec ~/rpmbuild/SRPMS/ghc-data-binary-ieee754-0.4.2.1-2.fc14.src.rpm  ~/rpmbuild/RPMS/i686/ghc-data-binary-ieee754-*.rpm
ghc-data-binary-ieee754.src: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-data-binary-ieee754.src: W: spelling-error Summary(en_US) serialiser -> serialist, serialism, serialize
The value of this tag appears to be misspelled. Please double-check.

ghc-data-binary-ieee754.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-data-binary-ieee754.i686: W: spelling-error Summary(en_US) serialiser -> serialist, serialism, serialize
The value of this tag appears to be misspelled. Please double-check.

ghc-data-binary-ieee754-devel.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-data-binary-ieee754-devel.i686: W: spelling-error Summary(en_US) serialiser -> serialist, serialism, serialize
The value of this tag appears to be misspelled. Please double-check.

ghc-data-binary-ieee754-prof.i686: E: devel-dependency ghc-data-binary-ieee754-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-data-binary-ieee754-prof.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-data-binary-ieee754-prof.i686: W: spelling-error Summary(en_US) serialiser -> serialist, serialism, serialize
The value of this tag appears to be misspelled. Please double-check.

ghc-data-binary-ieee754-prof.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-data-binary-ieee754-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.3/data-binary-ieee754-0.4.2.1/libHSdata-binary-ieee754-0.4.2.1_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 1 specfiles checked; 1 errors, 10 warnings.
Comment 3 Jens Petersen 2011-09-21 11:54:43 EDT
(This is needed for dbus-core.)
Comment 5 Miroslav Suchý 2012-12-16 08:29:46 EST
Ping? Any progress here? Or we can close this review?
Comment 6 Narasimhan 2012-12-18 00:22:21 EST
We can close this. We don't have any active reviews dependent on this for now.
Comment 7 Miroslav Suchý 2012-12-18 03:00:51 EST
closing per #6

Note You need to log in before you can comment on or make changes to this bug.